=== modified file 'NEWS'
--- NEWS	2008-06-29 18:31:29 +0000
+++ NEWS	2008-06-06 18:04:45 +0000
@@ -10,8 +10,6 @@
   
   * Fixed adding tags. (Javier Derderian, #228709)
 
-  * Avoid use of removed smart_add. (Jelmer Vernooij, #244025)
-
  INTERNALS
 
   * All i18n calls should now go through _i18n which must be imported from

=== modified file 'branchview/linegraph.py'
--- branchview/linegraph.py	2008-05-04 18:16:01 +0000
+++ branchview/linegraph.py	2008-06-29 15:47:30 +0000
@@ -12,7 +12,7 @@
 from bzrlib.revision import NULL_REVISION
 from bzrlib.tsort import merge_sort
 
-def linegraph(repository, start_revs, maxnum, broken_line_length = None,
+def linegraph(graph, start_revs, maxnum, broken_line_length = None,
               graph_data = True, mainline_only = False):
     """Produce a directed graph of a bzr repository.
 
@@ -43,7 +43,6 @@
     curved, kinked, etc.) and to pick the actual colours for each index.
     """
     
-    graph = repository.get_graph()
     graph_parents = {}
     ghosts = set()
     graph_children = {}

=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2008-06-28 15:45:39 +0000
+++ branchview/treeview.py	2008-06-29 15:47:30 +0000
@@ -285,7 +285,7 @@
         show_graph = self.graph_column.get_visible()
 
         self.branch.lock_read()
-        (linegraphdata, index, columns_len) = linegraph(self.branch.repository,
+        (linegraphdata, index, columns_len) = linegraph(self.branch.repository.get_graph(),
                                                         (self.start,) , # Sequence of start revisions
                                                         self.maxnum, 
                                                         broken_line_length,

=== modified file 'olive/menu.py'
--- olive/menu.py	2008-06-29 18:31:29 +0000
+++ olive/menu.py	2008-05-05 18:18:08 +0000
@@ -179,8 +179,7 @@
                          _i18n('Please select a file from the list,\nor choose the other option.'))
             return
         
-        wt, path = WorkingTree.open_containing(os.path.join(directory, filename))
-        wt.add([path])
+        bzrlib.add.smart_add([os.path.join(directory, filename)])
     
     @show_bzr_error
     def annotate(self, action):

